.petsitters-popup-container{
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.petsitters-popup-inner{
    background: white;
    position: relative;
    max-width: 800px;
    padding-block: 3rem;
    padding-inline: 1rem;
    max-height: 100%;
    overflow-y: scroll;
    overflow-x: clip;
    display: flex;
    flex-direction: column;
}

.petsitters-popup-options{
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    max-height: 200px;
    overflow-y: scroll;
    overflow-x: clip;
    border-block: solid black 2px;
    padding-block: 2rem;
}

.petsitters-popup-option{
    display: block;
    border: solid black 2px;
    padding: 0.5rem 2rem;
    margin: 0 !important;
    border-radius: 32px;
    cursor: pointer;
    transition: all 0.25s;
    font-weight: bold;
}

.petsitters-popup-option:hover{
    background: #FFCD4DAC;
}

.petsitters-popup-option.active{
    background: #FFCD4D;
    color: black;
}

.petsitters-popup-title{
    font-size: 1.5rem;
    margin-left: 1rem;
}

.petsitters-popup-close-button{
    position: absolute;
    right: 1.5rem;
    top: 1.5rem;
    background: none;
    width: 24px;
    aspect-ratio: 1/1;
    border: none;
    padding: 0 !important;
    cursor: pointer;
    transition: all 0.2s;
}

.petsitters-popup-close-button:hover{
    opacity: 0.5;
}

.petsitters-popup-close-button::before, .petsitters-popup-close-button::after{
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    translate: -50% -50%;
    width: 100%;
    height: 2px;
    background: black;
}

.petsitters-popup-close-button::before{
    rotate: 45deg;
}

.petsitters-popup-close-button::after{
    rotate: -45deg;
}

.petsitters-popup-section{
    margin-bottom: 2rem;
}

.petsitters-popup-container *{
    scrollbar-width: thin;
    scrollbar-color: black transparent;
}

.petsitters-popup-submit{
    align-self: flex-end;
}

